<?php
Header("Content-type: text/plain; charset=utf-8");

// načtení vlastní implementace rozhraní NodeIterator
require "NodeIterator.php";

// načtení XML dokumentu do paměti do DOM stromu
$doc = new DOMDocument();
$doc->load("../data/faktura.xml"); 

// vypsání všech elementů
$ni = new NodeIterator($doc, XML_SHOW_ELEMENT);
while (($node = $ni->nextNode()) != null)
  echo $node->nodeName . "\n";

// vypsání všech textových uzlů
$ni = new NodeIterator($doc, XML_SHOW_TEXT);
while (($node = $ni->nextNode()) != null)
  echo $node->nodeValue . "\n";

// průchod všemi uzly
$ni = new NodeIterator($doc, XML_SHOW_ALL);
while (($node = $ni->nextNode()) != null)
  echo ".";

// průchod textovými a CDATA uzly a jejich vypsání
$ni = new NodeIterator($doc, XML_SHOW_TEXT | XML_SHOW_CDATA_SECTION);
while (($node = $ni->nextNode()) != null)
  echo $node->nodeValue . "\n";

// NodeIterator implementuje rozhraní Iterator z PHP
// a můžeme jej tak používat ve spojení s foreach

// vypsání všech elementů
foreach(new NodeIterator($doc, XML_SHOW_ELEMENT) as $element)
{
  echo $element->nodeName . "\n";
}

?>