<?php
class Bin {
  public $BinName; // string
  public $BinItemCount; // positiveInteger
  public $BinParameter; // BinParameter
}

class BinParameter {
  public $Name; // string
  public $Value; // string
}

class SearchBinSet {
  public $Bin; // Bin
  public $NarrowBy; // string
}

class SearchBinSets {
  public $SearchBinSet; // SearchBinSet
}

class Help {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $Shared; // HelpRequest
  public $Request; // HelpRequest
}

class HelpRequest {
  public $About; // string
  public $HelpType; // HelpType
  public $ResponseGroup; // string
}

class HelpType {
}

class ItemSearch {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $XMLEscaping; // string
  public $Validate; // string
  public $Shared; // ItemSearchRequest
  public $Request; // ItemSearchRequest
}

class ItemSearchRequest {
  public $Actor; // string
  public $Artist; // string
  public $Availability; // Availability
  public $AudienceRating; // AudienceRating
  public $Author; // string
  public $Brand; // string
  public $BrowseNode; // string
  public $City; // string
  public $Composer; // string
  public $Condition; // Condition
  public $Conductor; // string
  public $Count; // positiveInteger
  public $Cuisine; // string
  public $DeliveryMethod; // DeliveryMethod
  public $Director; // string
  public $FutureLaunchDate; // string
  public $ISPUPostalCode; // string
  public $ItemPage; // positiveInteger
  public $Keywords; // string
  public $Manufacturer; // string
  public $MaximumPrice; // nonNegativeInteger
  public $MerchantId; // string
  public $MinimumPrice; // nonNegativeInteger
  public $MusicLabel; // string
  public $Neighborhood; // string
  public $Orchestra; // string
  public $PostalCode; // string
  public $Power; // string
  public $Publisher; // string
  public $ResponseGroup; // string
  public $ReviewSort; // string
  public $SearchIndex; // string
  public $Sort; // string
  public $State; // string
  public $TagPage; // positiveInteger
  public $TagsPerPage; // positiveInteger
  public $TagSort; // string
  public $TextStream; // string
  public $Title; // string
  public $ReleaseDate; // string
}

class Availability {
}

class ItemLookup {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // ItemLookupRequest
  public $Request; // ItemLookupRequest
}

class ItemLookupRequest {
  public $Condition; // Condition
  public $DeliveryMethod; // DeliveryMethod
  public $FutureLaunchDate; // string
  public $IdType; // IdType
  public $ISPUPostalCode; // string
  public $MerchantId; // string
  public $OfferPage; // positiveInteger
  public $ItemId; // string
  public $ResponseGroup; // string
  public $ReviewPage; // positiveInteger
  public $ReviewSort; // string
  public $SearchIndex; // string
  public $SearchInsideKeywords; // string
  public $TagPage; // positiveInteger
  public $TagsPerPage; // positiveInteger
  public $TagSort; // string
  public $VariationPage; // positiveIntegerOrAll
  public $RelatedItemPage; // positiveIntegerOrAll
  public $RelationshipType; // string
}

class IdType {
}

class ListSearch {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // ListSearchRequest
  public $Request; // ListSearchRequest
}

class ListSearchRequest {
  public $City; // string
  public $Email; // string
  public $FirstName; // string
  public $LastName; // string
  public $ListPage; // positiveInteger
  public $ListType; // ListType
  public $Name; // string
  public $ResponseGroup; // string
  public $State; // string
}

class ListType {
}

class ListLookup {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // ListLookupRequest
  public $Request; // ListLookupRequest
}

class ListLookupRequest {
  public $Condition; // Condition
  public $DeliveryMethod; // DeliveryMethod
  public $ISPUPostalCode; // string
  public $ListId; // string
  public $ListType; // ListType
  public $MerchantId; // string
  public $ProductGroup; // string
  public $ProductPage; // positiveInteger
  public $ResponseGroup; // string
  public $ReviewSort; // string
  public $Sort; // string
  public $IsOmitPurchasedItems; // boolean
}

class CustomerContentSearch {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // CustomerContentSearchRequest
  public $Request; // CustomerContentSearchRequest
}

class CustomerContentSearchRequest {
  public $CustomerPage; // positiveInteger
  public $Email; // string
  public $Name; // string
  public $ResponseGroup; // string
}

class CustomerContentLookup {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // CustomerContentLookupRequest
  public $Request; // CustomerContentLookupRequest
}

class CustomerContentLookupRequest {
  public $CustomerId; // string
  public $ResponseGroup; // string
  public $ReviewPage; // positiveInteger
  public $TagPage; // positiveInteger
  public $TagsPerPage; // positiveInteger
  public $TagSort; // string
}

class SimilarityLookup {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // SimilarityLookupRequest
  public $Request; // SimilarityLookupRequest
}

class SimilarityLookupRequest {
  public $Condition; // Condition
  public $DeliveryMethod; // DeliveryMethod
  public $ItemId; // string
  public $ISPUPostalCode; // string
  public $MerchantId; // string
  public $ResponseGroup; // string
  public $ReviewSort; // string
  public $SimilarityType; // SimilarityType
}

class SimilarityType {
}

class SellerLookup {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // SellerLookupRequest
  public $Request; // SellerLookupRequest
}

class SellerLookupRequest {
  public $ResponseGroup; // string
  public $SellerId; // string
  public $FeedbackPage; // positiveInteger
}

class CartGet {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // CartGetRequest
  public $Request; // CartGetRequest
}

class CartGetRequest {
  public $CartId; // string
  public $HMAC; // string
  public $MergeCart; // string
  public $ResponseGroup; // string
}

class CartAdd {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // CartAddRequest
  public $Request; // CartAddRequest
}

class CartAddRequest {
  public $CartId; // string
  public $HMAC; // string
  public $MergeCart; // string
  public $Items; // Items
  public $ResponseGroup; // string
}

class Items {
  public $Item; // Item
}

class Item {
  public $ASIN; // string
  public $OfferListingId; // string
  public $Quantity; // positiveInteger
  public $AssociateTag; // string
  public $ListItemId; // string
  public $MetaData; // MetaData
}

class MetaData {
  public $Key; // string
  public $Value; // string
}

class CartCreate {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // CartCreateRequest
  public $Request; // CartCreateRequest
}

class CartCreateRequest {
  public $MergeCart; // string
  public $Items; // Items
  public $ResponseGroup; // string
}

class Items {
  public $Item; // Item
}

class Item {
  public $ASIN; // string
  public $OfferListingId; // string
  public $Quantity; // positiveInteger
  public $AssociateTag; // string
  public $ListItemId; // string
  public $MetaData; // MetaData
}

class MetaData {
  public $Key; // string
  public $Value; // string
}

class CartModify {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // CartModifyRequest
  public $Request; // CartModifyRequest
}

class CartModifyRequest {
  public $CartId; // string
  public $HMAC; // string
  public $MergeCart; // string
  public $Items; // Items
  public $ResponseGroup; // string
}

class Items {
  public $Item; // Item
}

class Item {
  public $Action; // Action
  public $CartItemId; // string
  public $Quantity; // nonNegativeInteger
}

class Action {
}

class CartClear {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // CartClearRequest
  public $Request; // CartClearRequest
}

class CartClearRequest {
  public $CartId; // string
  public $HMAC; // string
  public $MergeCart; // string
  public $ResponseGroup; // string
}

class TransactionLookup {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // TransactionLookupRequest
  public $Request; // TransactionLookupRequest
}

class TransactionLookupRequest {
  public $ResponseGroup; // string
  public $TransactionId; // string
}

class SellerListingSearch {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // SellerListingSearchRequest
  public $Request; // SellerListingSearchRequest
}

class SellerListingSearchRequest {
  public $Keywords; // string
  public $ListingPage; // positiveInteger
  public $OfferStatus; // OfferStatus
  public $ResponseGroup; // string
  public $SellerId; // string
  public $Sort; // string
  public $Title; // string
}

class OfferStatus {
}

class SellerListingLookup {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // SellerListingLookupRequest
  public $Request; // SellerListingLookupRequest
}

class TagLookup {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // TagLookupRequest
  public $Request; // TagLookupRequest
}

class SellerListingLookupRequest {
  public $Id; // string
  public $SellerId; // string
  public $IdType; // IdType
  public $ResponseGroup; // string
}

class IdType {
}

class TagLookupRequest {
  public $TagName; // string
  public $CustomerId; // string
  public $TagPage; // positiveInteger
  public $Count; // positiveInteger
  public $TagSort; // string
  public $ResponseGroup; // string
}

class BrowseNodeLookup {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // BrowseNodeLookupRequest
  public $Request; // BrowseNodeLookupRequest
}

class BrowseNodeLookupRequest {
  public $BrowseNodeId; // string
  public $ResponseGroup; // string
}

class VehicleSearch {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // VehicleSearchRequest
  public $Request; // VehicleSearchRequest
}

class VehicleSearchRequest {
  public $Year; // nonNegativeInteger
  public $MakeId; // nonNegativeInteger
  public $ModelId; // nonNegativeInteger
  public $TrimId; // nonNegativeInteger
  public $ResponseGroup; // string
}

class VehiclePartSearch {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // VehiclePartSearchRequest
  public $Request; // VehiclePartSearchRequest
}

class VehiclePartSearchRequest {
  public $Year; // nonNegativeInteger
  public $MakeId; // nonNegativeInteger
  public $ModelId; // nonNegativeInteger
  public $TrimId; // nonNegativeInteger
  public $BedId; // nonNegativeInteger
  public $BodyStyleId; // nonNegativeInteger
  public $BrakesId; // nonNegativeInteger
  public $DriveTypeId; // nonNegativeInteger
  public $EngineId; // nonNegativeInteger
  public $MfrBodyCodeId; // nonNegativeInteger
  public $SpringTypesId; // nonNegativeInteger
  public $SteeringId; // nonNegativeInteger
  public $TransmissionId; // nonNegativeInteger
  public $WheelbaseId; // nonNegativeInteger
  public $BrowseNodeId; // nonNegativeInteger
  public $Brand; // string
  public $Count; // nonNegativeInteger
  public $FromItemId; // string
  public $PartPageDirection; // string
  public $ResponseGroup; // string
}

class VehiclePartLookup {
  public $MarketplaceDomain; // string
  public $AWSAccessKeyId; // string
  public $SubscriptionId; // string
  public $AssociateTag; // string
  public $Validate; // string
  public $XMLEscaping; // string
  public $Shared; // VehiclePartLookupRequest
  public $Request; // VehiclePartLookupRequest
}

class VehiclePartLookupRequest {
  public $ItemId; // string
  public $IdType; // string
  public $Year; // nonNegativeInteger
  public $MakeId; // nonNegativeInteger
  public $ModelId; // nonNegativeInteger
  public $TrimId; // nonNegativeInteger
  public $BedId; // nonNegativeInteger
  public $BodyStyleId; // nonNegativeInteger
  public $BrakesId; // nonNegativeInteger
  public $DriveTypeId; // nonNegativeInteger
  public $EngineId; // nonNegativeInteger
  public $MfrBodyCodeId; // nonNegativeInteger
  public $SpringTypesId; // nonNegativeInteger
  public $SteeringId; // nonNegativeInteger
  public $TransmissionId; // nonNegativeInteger
  public $WheelbaseId; // nonNegativeInteger
  public $BrowseNodeId; // nonNegativeInteger
  public $FitmentPage; // nonNegativeInteger
  public $FitmentCount; // nonNegativeInteger
  public $ResponseGroup; // string
}

class Condition {
  const All = 'All';
  const _New = 'New';
  const Used = 'Used';
  const Collectible = 'Collectible';
  const Refurbished = 'Refurbished';
}

class DeliveryMethod {
  const Ship = 'Ship';
  const ISPU = 'ISPU';
}

class AudienceRating {
  const G = 'G';
  const PG = 'PG';
  const PG_13 = 'PG-13';
  const R = 'R';
  const NC_17 = 'NC-17';
  const NR = 'NR';
  const Unrated = 'Unrated';
  const value_6 = '6';
  const value_12 = '12';
  const value_16 = '16';
  const value_18 = '18';
  const FamilyViewing = 'FamilyViewing';
}

class MultiOperation {
  public $Help; // Help
  public $ItemSearch; // ItemSearch
  public $ItemLookup; // ItemLookup
  public $ListSearch; // ListSearch
  public $ListLookup; // ListLookup
  public $CustomerContentSearch; // CustomerContentSearch
  public $CustomerContentLookup; // CustomerContentLookup
  public $SimilarityLookup; // SimilarityLookup
  public $SellerLookup; // SellerLookup
  public $CartGet; // CartGet
  public $CartAdd; // CartAdd
  public $CartCreate; // CartCreate
  public $CartModify; // CartModify
  public $CartClear; // CartClear
  public $TransactionLookup; // TransactionLookup
  public $SellerListingSearch; // SellerListingSearch
  public $SellerListingLookup; // SellerListingLookup
  public $TagLookup; // TagLookup
  public $BrowseNodeLookup; // BrowseNodeLookup
  public $VehicleSearch; // VehicleSearch
  public $VehiclePartSearch; // VehiclePartSearch
  public $VehiclePartLookup; // VehiclePartLookup
}

class HelpResponse {
  public $OperationRequest; // OperationRequest
  public $Information; // Information
}

class ItemSearchResponse {
  public $OperationRequest; // OperationRequest
  public $Items; // Items
}

class ItemLookupResponse {
  public $OperationRequest; // OperationRequest
  public $Items; // Items
}

class ListSearchResponse {
  public $OperationRequest; // OperationRequest
  public $Lists; // Lists
}

class ListLookupResponse {
  public $OperationRequest; // OperationRequest
  public $Lists; // Lists
}

class CustomerContentSearchResponse {
  public $OperationRequest; // OperationRequest
  public $Customers; // Customers
}

class CustomerContentLookupResponse {
  public $OperationRequest; // OperationRequest
  public $Customers; // Customers
}

class SimilarityLookupResponse {
  public $OperationRequest; // OperationRequest
  public $Items; // Items
}

class SellerLookupResponse {
  public $OperationRequest; // OperationRequest
  public $Sellers; // Sellers
}

class CartGetResponse {
  public $OperationRequest; // OperationRequest
  public $Cart; // Cart
}

class CartAddResponse {
  public $OperationRequest; // OperationRequest
  public $Cart; // Cart
}

class CartCreateResponse {
  public $OperationRequest; // OperationRequest
  public $Cart; // Cart
}

class CartModifyResponse {
  public $OperationRequest; // OperationRequest
  public $Cart; // Cart
}

class CartClearResponse {
  public $OperationRequest; // OperationRequest
  public $Cart; // Cart
}

class TransactionLookupResponse {
  public $OperationRequest; // OperationRequest
  public $Transactions; // Transactions
}

class SellerListingSearchResponse {
  public $OperationRequest; // OperationRequest
  public $SellerListings; // SellerListings
}

class SellerListingLookupResponse {
  public $OperationRequest; // OperationRequest
  public $SellerListings; // SellerListings
}

class TagLookupResponse {
  public $OperationRequest; // OperationRequest
  public $Tags; // Tags
}

class BrowseNodeLookupResponse {
  public $OperationRequest; // OperationRequest
  public $BrowseNodes; // BrowseNodes
}

class VehicleSearchResponse {
  public $OperationRequest; // OperationRequest
  public $VehicleYears; // VehicleYears
}

class VehiclePartSearchResponse {
  public $OperationRequest; // OperationRequest
  public $VehicleParts; // VehicleParts
}

class VehiclePartLookupResponse {
  public $OperationRequest; // OperationRequest
  public $VehicleParts; // VehicleParts
}

class MultiOperationResponse {
  public $OperationRequest; // OperationRequest
  public $HelpResponse; // HelpResponse
  public $ItemSearchResponse; // ItemSearchResponse
  public $ItemLookupResponse; // ItemLookupResponse
  public $ListSearchResponse; // ListSearchResponse
  public $ListLookupResponse; // ListLookupResponse
  public $CustomerContentSearchResponse; // CustomerContentSearchResponse
  public $CustomerContentLookupResponse; // CustomerContentLookupResponse
  public $SimilarityLookupResponse; // SimilarityLookupResponse
  public $SellerLookupResponse; // SellerLookupResponse
  public $CartGetResponse; // CartGetResponse
  public $CartAddResponse; // CartAddResponse
  public $CartCreateResponse; // CartCreateResponse
  public $CartModifyResponse; // CartModifyResponse
  public $CartClearResponse; // CartClearResponse
  public $TransactionLookupResponse; // TransactionLookupResponse
  public $SellerListingSearchResponse; // SellerListingSearchResponse
  public $SellerListingLookupResponse; // SellerListingLookupResponse
  public $TagLookupResponse; // TagLookupResponse
  public $BrowseNodeLookupResponse; // BrowseNodeLookupResponse
  public $VehicleSearchResponse; // VehicleSearchResponse
  public $VehiclePartSearchResponse; // VehiclePartSearchResponse
  public $VehiclePartLookupResponse; // VehiclePartLookupResponse
}

class OperationRequest {
  public $HTTPHeaders; // HTTPHeaders
  public $RequestId; // string
  public $Arguments; // Arguments
  public $Errors; // Errors
  public $RequestProcessingTime; // float
}

class Request {
  public $IsValid; // string
  public $HelpRequest; // HelpRequest
  public $BrowseNodeLookupRequest; // BrowseNodeLookupRequest
  public $ItemSearchRequest; // ItemSearchRequest
  public $ItemLookupRequest; // ItemLookupRequest
  public $ListSearchRequest; // ListSearchRequest
  public $ListLookupRequest; // ListLookupRequest
  public $CustomerContentSearchRequest; // CustomerContentSearchRequest
  public $CustomerContentLookupRequest; // CustomerContentLookupRequest
  public $SimilarityLookupRequest; // SimilarityLookupRequest
  public $CartGetRequest; // CartGetRequest
  public $CartAddRequest; // CartAddRequest
  public $CartCreateRequest; // CartCreateRequest
  public $CartModifyRequest; // CartModifyRequest
  public $CartClearRequest; // CartClearRequest
  public $TransactionLookupRequest; // TransactionLookupRequest
  public $SellerListingSearchRequest; // SellerListingSearchRequest
  public $SellerListingLookupRequest; // SellerListingLookupRequest
  public $SellerLookupRequest; // SellerLookupRequest
  public $TagLookupRequest; // TagLookupRequest
  public $VehicleSearchRequest; // VehicleSearchRequest
  public $VehiclePartSearchRequest; // VehiclePartSearchRequest
  public $VehiclePartLookupRequest; // VehiclePartLookupRequest
  public $Errors; // Errors
}

class Arguments {
  public $Argument; // Argument
}

class Argument {
  public $Name; // string
  public $Value; // string
}

class HTTPHeaders {
  public $Header; // Header
}

class Header {
  public $Name; // string
  public $Value; // string
}

class Errors {
  public $Error; // Error
}

class Error {
  public $Code; // string
  public $Message; // string
}

class Information {
  public $Request; // Request
  public $OperationInformation; // OperationInformation
  public $ResponseGroupInformation; // ResponseGroupInformation
}

class Items {
  public $Request; // Request
  public $CorrectedQuery; // CorrectedQuery
  public $Qid; // string
  public $EngineQuery; // string
  public $TotalResults; // nonNegativeInteger
  public $TotalPages; // nonNegativeInteger
  public $SearchResultsMap; // SearchResultsMap
  public $Item; // Item
  public $SearchBinSets; // SearchBinSets
}

class CorrectedQuery {
  public $Keywords; // string
  public $Message; // string
}

class Lists {
  public $Request; // Request
  public $TotalResults; // nonNegativeInteger
  public $TotalPages; // nonNegativeInteger
  public $_List; // List
}

class Customers {
  public $Request; // Request
  public $TotalResults; // nonNegativeInteger
  public $TotalPages; // nonNegativeInteger
  public $Customer; // Customer
}

class Cart {
  public $Request; // Request
  public $CartId; // string
  public $HMAC; // string
  public $URLEncodedHMAC; // string
  public $PurchaseURL; // string
  public $SubTotal; // Price
  public $CartItems; // CartItems
  public $SavedForLaterItems; // SavedForLaterItems
  public $SimilarProducts; // SimilarProducts
  public $TopSellers; // TopSellers
  public $NewReleases; // NewReleases
  public $SimilarViewedProducts; // SimilarViewedProducts
  public $OtherCategoriesSimilarProducts; // OtherCategoriesSimilarProducts
}

class Transactions {
  public $Request; // Request
  public $TotalResults; // nonNegativeInteger
  public $TotalPages; // nonNegativeInteger
  public $Transaction; // Transaction
}

class Sellers {
  public $Request; // Request
  public $TotalResults; // nonNegativeInteger
  public $TotalPages; // nonNegativeInteger
  public $Seller; // Seller
}

class SellerListings {
  public $Request; // Request
  public $TotalResults; // nonNegativeInteger
  public $TotalPages; // nonNegativeInteger
  public $SellerListing; // SellerListing
}

class OperationInformation {
  public $Name; // string
  public $Description; // string
  public $RequiredParameters; // RequiredParameters
  public $AvailableParameters; // AvailableParameters
  public $DefaultResponseGroups; // DefaultResponseGroups
  public $AvailableResponseGroups; // AvailableResponseGroups
}

class RequiredParameters {
  public $Parameter; // string
}

class AvailableParameters {
  public $Parameter; // string
}

class DefaultResponseGroups {
  public $ResponseGroup; // string
}

class AvailableResponseGroups {
  public $ResponseGroup; // string
}

class ResponseGroupInformation {
  public $Name; // string
  public $CreationDate; // string
  public $ValidOperations; // ValidOperations
  public $Elements; // Elements
}

class ValidOperations {
  public $Operation; // string
}

class Elements {
  public $Element; // string
}

class _List {
  public $ListId; // string
  public $ListURL; // string
  public $RegistryNumber; // string
  public $ListName; // string
  public $ListType; // ListType
  public $TotalItems; // nonNegativeInteger
  public $TotalPages; // nonNegativeInteger
  public $DateCreated; // string
  public $LastModified; // string
  public $OccasionDate; // string
  public $CustomerName; // string
  public $PartnerName; // string
  public $AdditionalName; // string
  public $Comment; // string
  public $Image; // Image
  public $AverageRating; // decimal
  public $TotalVotes; // nonNegativeInteger
  public $TotalTimesRead; // nonNegativeInteger
  public $Tags; // Tags
  public $ListItem; // ListItem
}

class ListType {
}

class ListItem {
  public $ListItemId; // string
  public $DateAdded; // string
  public $Comment; // string
  public $QuantityDesired; // string
  public $QuantityReceived; // string
  public $Priority; // string
  public $Item; // Item
}

class Customer {
  public $CustomerId; // string
  public $Nickname; // string
  public $Birthday; // string
  public $WishListId; // string
  public $Location; // Location
  public $CustomerReviews; // CustomerReviews
  public $Tags; // Tags
}

class Location {
  public $UserDefinedLocation; // string
  public $City; // string
  public $State; // string
  public $Country; // string
}

class SearchResultsMap {
  public $SearchIndex; // SearchIndex
}

class SearchIndex {
  public $IndexName; // string
  public $Results; // nonNegativeInteger
  public $Pages; // nonNegativeInteger
  public $CorrectedQuery; // CorrectedQuery
  public $RelevanceRank; // positiveInteger
  public $ASIN; // string
}

class Item {
  public $ASIN; // string
  public $ParentASIN; // string
  public $Errors; // Errors
  public $DetailPageURL; // string
  public $ItemLinks; // ItemLinks
  public $SalesRank; // string
  public $SmallImage; // Image
  public $MediumImage; // Image
  public $LargeImage; // Image
  public $ImageSets; // ImageSets
  public $ItemAttributes; // ItemAttributes
  public $MerchantItemAttributes; // MerchantItemAttributes
  public $RelatedItems; // RelatedItems
  public $Collections; // Collections
  public $Subjects; // Subjects
  public $OfferSummary; // OfferSummary
  public $Offers; // Offers
  public $VariationSummary; // VariationSummary
  public $Variations; // Variations
  public $CustomerReviews; // CustomerReviews
  public $EditorialReviews; // EditorialReviews
  public $SimilarProducts; // SimilarProducts
  public $Accessories; // Accessories
  public $Tracks; // Tracks
  public $BrowseNodes; // BrowseNodes
  public $Tags; // Tags
  public $ListmaniaLists; // ListmaniaLists
  public $SearchInside; // SearchInside
  public $AlternateVersions; // AlternateVersions
}

class ImageSets {
  public $MerchantId; // string
  public $ImageSet; // ImageSet
}

class Subjects {
  public $Subject; // string
}

class AlternateVersions {
  public $AlternateVersion; // AlternateVersion
}

class AlternateVersion {
  public $ASIN; // string
  public $Title; // string
  public $Binding; // string
}

class ItemLinks {
  public $ItemLink; // ItemLink
}

class ItemLink {
  public $Description; // string
  public $URL; // string
}

class RelatedItems {
  public $Relationship; // Relationship
  public $RelationshipType; // string
  public $RelatedItemCount; // nonNegativeInteger
  public $RelatedItemPageCount; // nonNegativeInteger
  public $RelatedItemPage; // nonNegativeInteger
  public $RelatedItem; // RelatedItem
}

class Relationship {
}

class RelatedItem {
  public $Item; // Item
}

class Tags {
  public $Request; // Request
  public $DistinctTags; // string
  public $DistinctItems; // string
  public $DistinctUsers; // string
  public $TotalUsages; // string
  public $FirstTagging; // Tagging
  public $LastTagging; // Tagging
  public $Tag; // Tag
}

class Tag {
  public $Name; // string
  public $TagType; // TagType
  public $DistinctItems; // string
  public $DistinctUsers; // string
  public $TotalUsages; // string
  public $FirstTagging; // Tagging
  public $LastTagging; // Tagging
  public $TaggedItems; // TaggedItems
  public $TaggedListmaniaLists; // TaggedListmaniaLists
  public $TaggedGuides; // TaggedGuides
}

class TagType {
}

class TaggedItems {
  public $Item; // Item
  public $DistinctUsers; // string
  public $TotalUsages; // string
  public $FirstTagging; // Tagging
  public $LastTagging; // Tagging
}

class TaggedListmaniaLists {
  public $_List; // List
  public $DistinctUsers; // string
  public $TotalUsages; // string
  public $FirstTagging; // Tagging
  public $LastTagging; // Tagging
}

class TaggedGuides {
  public $Guide; // Guide
  public $DistinctUsers; // string
  public $TotalUsages; // string
  public $FirstTagging; // Tagging
  public $LastTagging; // Tagging
}

class Guide {
  public $GuideId; // string
}

class Tagging {
  public $Name; // string
  public $EntityId; // string
  public $UserId; // string
  public $Time; // string
}

class OfferSummary {
  public $LowestNewPrice; // Price
  public $LowestUsedPrice; // Price
  public $LowestCollectiblePrice; // Price
  public $LowestRefurbishedPrice; // Price
  public $TotalNew; // string
  public $TotalUsed; // string
  public $TotalCollectible; // string
  public $TotalRefurbished; // string
}

class Offers {
  public $TotalOffers; // nonNegativeInteger
  public $TotalOfferPages; // nonNegativeInteger
  public $Offer; // Offer
}

class Offer {
  public $Merchant; // Merchant
  public $Seller; // Seller
  public $OfferAttributes; // OfferAttributes
  public $OfferListing; // OfferListing
  public $LoyaltyPoints; // LoyaltyPoints
  public $Promotions; // Promotions
}

class OfferAttributes {
  public $Condition; // string
  public $SubCondition; // string
  public $ConditionNote; // string
  public $WillShipExpedited; // boolean
  public $WillShipInternational; // boolean
}

class Merchant {
  public $MerchantId; // string
  public $Name; // string
  public $GlancePage; // string
  public $AverageFeedbackRating; // decimal
  public $TotalFeedback; // nonNegativeInteger
  public $TotalFeedbackPages; // nonNegativeInteger
}

class OfferListing {
  public $OfferListingId; // string
  public $ExchangeId; // string
  public $Price; // Price
  public $SalePrice; // Price
  public $AmountSaved; // Price
  public $PercentageSaved; // nonNegativeInteger
  public $Availability; // string
  public $AvailabilityAttributes; // AvailabilityAttributes
  public $Quantity; // integer
  public $ISPUStoreAddress; // Address
  public $ISPUStoreHours; // string
  public $IsEligibleForSuperSaverShipping; // boolean
  public $IsEligibleForPrime; // boolean
  public $IsMapViolated; // boolean
  public $SalesRestriction; // string
  public $ShippingCharge; // ShippingCharge
}

class AvailabilityAttributes {
  public $AvailabilityType; // string
  public $IsPreorder; // boolean
  public $MinimumHours; // integer
  public $MaximumHours; // integer
}

class ShippingCharge {
  public $ShippingType; // string
  public $IsRateTaxInclusive; // boolean
  public $ShippingPrice; // Price
}

class LoyaltyPoints {
  public $Points; // nonNegativeInteger
  public $TypicalRedemptionValue; // Price
}

class VariationSummary {
  public $LowestPrice; // Price
  public $HighestPrice; // Price
  public $LowestSalePrice; // Price
  public $HighestSalePrice; // Price
  public $SingleMerchantId; // string
}

class Variations {
  public $TotalVariations; // nonNegativeInteger
  public $TotalVariationPages; // nonNegativeInteger
  public $VariationDimensions; // VariationDimensions
  public $Item; // Item
}

class VariationDimensions {
  public $VariationDimension; // string
}

class EditorialReviews {
  public $EditorialReview; // EditorialReview
}

class Collections {
  public $Collection; // Collection
}

class Collection {
  public $CollectionSummary; // CollectionSummary
  public $CollectionParent; // CollectionParent
  public $CollectionItem; // CollectionItem
}

class CollectionSummary {
  public $LowestListPrice; // Price
  public $HighestListPrice; // Price
  public $LowestSalePrice; // Price
  public $HighestSalePrice; // Price
}

class CollectionParent {
  public $ASIN; // string
  public $Title; // string
}

class CollectionItem {
  public $ASIN; // string
  public $Title; // string
}

class EditorialReview {
  public $Source; // string
  public $Content; // string
  public $IsLinkSuppressed; // boolean
}

class CustomerReviews {
  public $AverageRating; // decimal
  public $TotalReviews; // nonNegativeInteger
  public $TotalReviewPages; // nonNegativeInteger
  public $Review; // Review
}

class Review {
  public $ASIN; // string
  public $Rating; // decimal
  public $HelpfulVotes; // nonNegativeInteger
  public $CustomerId; // string
  public $Reviewer; // Reviewer
  public $TotalVotes; // nonNegativeInteger
  public $Date; // string
  public $Summary; // string
  public $Content; // string
}

class Reviewer {
  public $CustomerId; // string
  public $Name; // string
  public $Nickname; // string
  public $Location; // string
}

class Tracks {
  public $Disc; // Disc
}

class Disc {
  public $Track; // Track
  public $Number; // positiveInteger
}

class Track {
  public $_; // string
  public $Number; // positiveInteger
}

class SimilarProducts {
  public $SimilarProduct; // SimilarProduct
}

class SimilarProduct {
  public $ASIN; // string
  public $Title; // string
}

class TopSellers {
  public $TopSeller; // TopSeller
}

class TopSeller {
  public $ASIN; // string
  public $Title; // string
}

class NewReleases {
  public $NewRelease; // NewRelease
}

class NewRelease {
  public $ASIN; // string
  public $Title; // string
}

class TopItemSet {
  public $Type; // string
  public $TopItem; // TopItem
}

class TopItem {
  public $ASIN; // string
  public $Title; // string
  public $DetailPageURL; // string
  public $ProductGroup; // string
  public $Author; // string
  public $Artist; // string
  public $Actor; // string
}

class SimilarViewedProducts {
  public $SimilarViewedProduct; // SimilarViewedProduct
}

class SimilarViewedProduct {
  public $ASIN; // string
  public $Title; // string
}

class OtherCategoriesSimilarProducts {
  public $OtherCategoriesSimilarProduct; // OtherCategoriesSimilarProduct
}

class OtherCategoriesSimilarProduct {
  public $ASIN; // string
  public $Title; // string
}

class Accessories {
  public $Accessory; // Accessory
}

class Accessory {
  public $ASIN; // string
  public $Title; // string
}

class Promotions {
  public $Promotion; // Promotion
}

class Promotion {
  public $Summary; // Summary
  public $Details; // Details
}

class Summary {
  public $PromotionId; // string
  public $Category; // string
  public $StartDate; // string
  public $EndDate; // string
  public $EligibilityRequirementDescription; // string
  public $BenefitDescription; // string
  public $TermsAndConditions; // string
}

class Details {
  public $MerchantId; // string
  public $OwningMerchantId; // string
  public $PromotionId; // string
  public $PromotionCategory; // string
  public $MerchantPromotionId; // string
  public $GroupClaimCode; // string
  public $CouponCombinationType; // string
  public $StartDate; // string
  public $EndDate; // string
  public $TermsAndConditions; // string
  public $EligibilityRequirements; // PromotionEligibilityRequirements
  public $Benefits; // PromotionBenefits
  public $ItemApplicability; // PromotionItemApplicability
  public $MerchandisingMessage; // string
  public $IconMediaId; // string
  public $IsIconMediaIdCustom; // boolean
}

class PromotionEligibilityRequirements {
  public $EligibilityRequirement; // PromotionEligibilityRequirement
}

class PromotionBenefits {
  public $Benefit; // PromotionBenefit
}

class PromotionBenefit {
  public $BenefitType; // string
  public $ComponentType; // string
  public $Quantity; // int
  public $PercentOff; // double
  public $FixedAmount; // Price
  public $Ceiling; // Price
}

class PromotionEligibilityRequirement {
  public $EligibilityRequirementType; // string
  public $Quantity; // int
  public $CurrencyAmount; // Price
}

class PromotionItemApplicability {
  public $ASIN; // string
  public $IsInBenefitSet; // boolean
  public $IsInEligibilityRequirementSet; // boolean
}

class VehicleYears {
  public $Request; // Request
  public $VehicleYear; // VehicleYear
}

class VehicleYear {
  public $Year; // nonNegativeInteger
  public $IsValid; // string
  public $VehicleMakes; // VehicleMakes
}

class VehicleMakes {
  public $VehicleMake; // VehicleMake
}

class VehicleMake {
  public $MakeName; // string
  public $MakeId; // nonNegativeInteger
  public $IsValid; // string
  public $VehicleModels; // VehicleModels
}

class VehicleModels {
  public $VehicleModel; // VehicleModel
}

class VehicleModel {
  public $ModelName; // string
  public $ModelId; // nonNegativeInteger
  public $IsValid; // string
  public $VehicleTrims; // VehicleTrims
}

class VehicleTrims {
  public $VehicleTrim; // VehicleTrim
}

class VehicleTrim {
  public $TrimName; // string
  public $TrimId; // nonNegativeInteger
  public $IsValid; // string
  public $VehicleOptions; // VehicleOptions
}

class VehicleOptions {
  public $VehicleBedOptions; // VehicleBedOptions
  public $VehicleBodyStyleOptions; // VehicleBodyStyleOptions
  public $VehicleBrakesOptions; // VehicleBrakesOptions
  public $VehicleDriveTypeOptions; // VehicleDriveTypeOptions
  public $VehicleEngineOptions; // VehicleEngineOptions
  public $VehicleMfrBodyCodeOptions; // VehicleMfrBodyCodeOptions
  public $VehicleSpringTypesOptions; // VehicleSpringTypesOptions
  public $VehicleSteeringOptions; // VehicleSteeringOptions
  public $VehicleTransmissionOptions; // VehicleTransmissionOptions
  public $VehicleWheelbaseOptions; // VehicleWheelbaseOptions
}

class VehicleBedOptions {
  public $VehicleBed; // VehicleBed
}

class VehicleBed {
  public $BedName; // string
  public $BedId; // nonNegativeInteger
}

class VehicleBodyStyleOptions {
  public $VehicleBodyStyle; // VehicleBodyStyle
}

class VehicleBodyStyle {
  public $BodyStyleName; // string
  public $BodyStyleId; // nonNegativeInteger
}

class VehicleBrakesOptions {
  public $VehicleBrakes; // VehicleBrakes
}

class VehicleBrakes {
  public $BrakesName; // string
  public $BrakesId; // nonNegativeInteger
}

class VehicleDriveTypeOptions {
  public $VehicleDriveType; // VehicleDriveType
}

class VehicleDriveType {
  public $DriveTypeName; // string
  public $DriveTypeId; // nonNegativeInteger
}

class VehicleEngineOptions {
  public $VehicleEngine; // VehicleEngine
}

class VehicleEngine {
  public $EngineName; // string
  public $EngineId; // nonNegativeInteger
}

class VehicleMfrBodyCodeOptions {
  public $VehicleMfrBodyCode; // VehicleMfrBodyCode
}

class VehicleMfrBodyCode {
  public $MfrBodyCodeName; // string
  public $MfrBodyCodeId; // nonNegativeInteger
}

class VehicleSpringTypesOptions {
  public $VehicleSpringTypes; // VehicleSpringTypes
}

class VehicleSpringTypes {
  public $SpringTypesName; // string
  public $SpringTypesId; // nonNegativeInteger
}

class VehicleSteeringOptions {
  public $VehicleSteering; // VehicleSteering
}

class VehicleSteering {
  public $SteeringName; // string
  public $SteeringId; // nonNegativeInteger
}

class VehicleTransmissionOptions {
  public $VehicleTransmission; // VehicleTransmission
}

class VehicleTransmission {
  public $TransmissionName; // string
  public $TransmissionId; // nonNegativeInteger
}

class VehicleWheelbaseOptions {
  public $VehicleWheelbase; // VehicleWheelbase
}

class VehicleWheelbase {
  public $WheelbaseName; // string
  public $WheelbaseId; // nonNegativeInteger
}

class VehicleParts {
  public $Request; // Request
  public $IsNext; // boolean
  public $IsPrevious; // boolean
  public $Part; // Part
  public $MissingVehicleAttributes; // MissingVehicleAttributes
  public $PartBrowseNodeBins; // PartBrowseNodeBins
  public $PartBrandBins; // PartBrandBins
}

class MissingVehicleAttributes {
  public $ParameterName; // string
}

class PartBrowseNodeBins {
  public $Bin; // Bin
}

class PartBrandBins {
  public $Bin; // Bin
}

class Part {
  public $Item; // Item
  public $HasPartCompatibility; // boolean
  public $VehiclePartFit; // VehiclePartFit
  public $Fitments; // Fitments
}

class VehiclePartFit {
  public $IsFit; // string
  public $MissingVehicleAttributes; // MissingVehicleAttributes
}

class Fitments {
  public $TotalFitments; // nonNegativeInteger
  public $TotalPages; // nonNegativeInteger
  public $FitmentAttributes; // string
  public $Fitment; // Fitment
}

class FitmentAttributes {
  public $FitmentAttribute; // string
}

class Fitment {
  public $Year; // string
  public $Make; // string
  public $Model; // string
  public $Trim; // string
  public $Bed; // string
  public $BodyStyle; // string
  public $Brakes; // string
  public $DriveType; // string
  public $Engine; // string
  public $MfrBodyCode; // string
  public $SpringTypes; // string
  public $Steering; // string
  public $Transmission; // string
  public $Wheelbase; // string
  public $Position; // string
  public $Notes; // string
}

class BrowseNodes {
  public $Request; // Request
  public $BrowseNode; // BrowseNode
}

class Property {
  public $Name; // string
  public $Value; // string
}

class BrowseNode {
  public $BrowseNodeId; // string
  public $Name; // string
  public $IsCategoryRoot; // boolean
  public $Properties; // Properties
  public $Children; // Children
  public $Ancestors; // Ancestors
  public $TopSellers; // TopSellers
  public $NewReleases; // NewReleases
  public $TopItemSet; // TopItemSet
}

class Properties {
  public $Property; // Property
}

class Children {
  public $BrowseNode; // BrowseNode
}

class Ancestors {
  public $BrowseNode; // BrowseNode
}

class ListmaniaLists {
  public $ListmaniaList; // ListmaniaList
}

class ListmaniaList {
  public $ListId; // string
  public $ListName; // string
}

class SearchInside {
  public $TotalExcerpts; // nonNegativeInteger
  public $Excerpt; // Excerpt
}

class Excerpt {
  public $Checksum; // string
  public $PageType; // string
  public $PageNumber; // string
  public $SequenceNumber; // string
  public $Text; // string
}

class CartItems {
  public $SubTotal; // Price
  public $CartItem; // CartItem
}

class SavedForLaterItems {
  public $SubTotal; // Price
  public $SavedForLaterItem; // CartItem
}

class CartItem {
  public $CartItemId; // string
  public $ASIN; // string
  public $ExchangeId; // string
  public $MerchantId; // string
  public $SellerId; // string
  public $SellerNickname; // string
  public $Quantity; // string
  public $Title; // string
  public $ProductGroup; // string
  public $ListOwner; // string
  public $ListType; // string
  public $MetaData; // MetaData
  public $Price; // Price
  public $ItemTotal; // Price
}

class MetaData {
  public $KeyValuePair; // KeyValuePair
}

class KeyValuePair {
  public $Key; // string
  public $Value; // string
}

class Transaction {
  public $TransactionId; // string
  public $SellerId; // string
  public $Condition; // string
  public $TransactionDate; // string
  public $TransactionDateEpoch; // string
  public $SellerName; // string
  public $PayingCustomerId; // string
  public $OrderingCustomerId; // string
  public $Totals; // Totals
  public $TransactionItems; // TransactionItems
  public $Shipments; // Shipments
}

class Totals {
  public $Total; // Price
  public $Subtotal; // Price
  public $Tax; // Price
  public $ShippingCharge; // Price
  public $Promotion; // Price
}

class TransactionItems {
  public $TransactionItem; // TransactionItem
}

class Shipments {
  public $Shipment; // Shipment
}

class Shipment {
  public $Condition; // string
  public $DeliveryMethod; // string
  public $ShipmentItems; // ShipmentItems
  public $Packages; // Packages
}

class ShipmentItems {
  public $TransactionItemId; // string
}

class Packages {
  public $Package; // Package
}

class Package {
  public $TrackingNumber; // string
  public $CarrierName; // string
}

class TransactionItem {
  public $TransactionItemId; // string
  public $Quantity; // string
  public $UnitPrice; // Price
  public $TotalPrice; // Price
  public $ASIN; // string
  public $SKU; // string
  public $Title; // string
  public $ChildTransactionItems; // ChildTransactionItems
}

class ChildTransactionItems {
  public $TransactionItem; // TransactionItem
}

class Seller {
  public $SellerId; // string
  public $SellerName; // string
  public $SellerLegalName; // string
  public $Nickname; // string
  public $GlancePage; // string
  public $About; // string
  public $MoreAbout; // string
  public $Location; // Location
  public $AverageFeedbackRating; // decimal
  public $TotalFeedback; // nonNegativeInteger
  public $TotalFeedbackPages; // nonNegativeInteger
  public $SellerFeedbackSummary; // SellerFeedbackSummary
  public $SellerFeedback; // SellerFeedback
}

class Location {
  public $UserDefinedLocation; // string
  public $City; // string
  public $State; // string
  public $Country; // string
}

class SellerFeedbackSummary {
  public $FeedbackDateRange; // FeedbackDateRange
}

class FeedbackDateRange {
  public $SellerFeedbackRating; // SellerFeedbackRating
  public $Period; // string
}

class SellerFeedbackRating {
  public $Count; // nonNegativeInteger
  public $Percentage; // nonNegativeInteger
  public $Type; // string
}

class SellerFeedback {
  public $Feedback; // Feedback
}

class Feedback {
  public $Rating; // nonNegativeInteger
  public $Comment; // string
  public $Date; // string
  public $RatedBy; // string
}

class Address {
  public $Name; // string
  public $Address1; // string
  public $Address2; // string
  public $Address3; // string
  public $City; // string
  public $State; // string
  public $PostalCode; // string
  public $Country; // string
}

class SellerListing {
  public $ExchangeId; // string
  public $ListingId; // string
  public $ASIN; // string
  public $SKU; // string
  public $UPC; // string
  public $EAN; // string
  public $WillShipExpedited; // boolean
  public $WillShipInternational; // boolean
  public $Title; // string
  public $Price; // Price
  public $StartDate; // string
  public $EndDate; // string
  public $Status; // string
  public $Quantity; // string
  public $Condition; // string
  public $SubCondition; // string
  public $Seller; // Seller
}

class Price {
  public $Amount; // integer
  public $CurrencyCode; // string
  public $FormattedPrice; // string
}

class ImageSet {
  public $SwatchImage; // Image
  public $SmallImage; // Image
  public $ThumbnailImage; // Image
  public $TinyImage; // Image
  public $MediumImage; // Image
  public $LargeImage; // Image
  public $Category; // string
}

class Image {
  public $URL; // string
  public $Height; // DecimalWithUnits
  public $Width; // DecimalWithUnits
  public $IsVerified; // string
}

class ItemAttributes {
  public $Actor; // string
  public $Address; // Address
  public $Age; // string
  public $AmazonMaximumAge; // DecimalWithUnits
  public $AmazonMinimumAge; // DecimalWithUnits
  public $AnalogVideoFormat; // string
  public $ApertureModes; // string
  public $Artist; // string
  public $AspectRatio; // string
  public $AssemblyInstructions; // string
  public $AssemblyRequired; // string
  public $AudienceRating; // string
  public $AudioFormat; // string
  public $Author; // string
  public $BackFinding; // string
  public $BandMaterialType; // string
  public $BatteriesIncluded; // string
  public $BatteriesRequired; // string
  public $Batteries; // NonNegativeIntegerWithUnits
  public $BatteryDescription; // string
  public $BatteryType; // string
  public $BezelMaterialType; // string
  public $Binding; // string
  public $Brand; // string
  public $CalendarType; // string
  public $CameraManualFeatures; // string
  public $CaseDiameter; // DecimalWithUnits
  public $CaseMaterialType; // string
  public $CaseThickness; // DecimalWithUnits
  public $CaseType; // string
  public $CatalogNumber; // string
  public $Category; // string
  public $CategoryBin; // string
  public $CDRWDescription; // string
  public $ChainType; // string
  public $Character; // string
  public $CEROAgeRating; // string
  public $ClaspType; // string
  public $ClothingSize; // string
  public $ClubType; // string
  public $Color; // string
  public $Compatibility; // string
  public $CompatibleDevices; // string
  public $ComputerHardwareType; // string
  public $ComputerPlatform; // string
  public $Connectivity; // string
  public $ContinuousShootingSpeed; // DecimalWithUnits
  public $Country; // string
  public $CPUManufacturer; // string
  public $CPUSpeed; // DecimalWithUnits
  public $CPUType; // string
  public $Creator; // Creator
  public $Cuisine; // string
  public $DataLinkProtocol; // string
  public $DeliveryOption; // string
  public $DelayBetweenShots; // DecimalWithUnits
  public $Department; // string
  public $DeweyDecimalNumber; // string
  public $DialColor; // string
  public $DialWindowMaterialType; // string
  public $DigitalZoom; // DecimalWithUnits
  public $Director; // string
  public $DisplayColorSupport; // string
  public $DisplaySize; // DecimalWithUnits
  public $DrumSetPieceQuantity; // nonNegativeInteger
  public $DVDLayers; // nonNegativeInteger
  public $DVDRWDescription; // string
  public $DVDSides; // nonNegativeInteger
  public $DPCI; // string
  public $EAN; // string
  public $Edition; // string
  public $EducationalFocus; // string
  public $EpisodeSequence; // string
  public $Ethnicity; // string
  public $ESRBAgeRating; // string
  public $ExternalDisplaySupportDescription; // string
  public $FabricType; // string
  public $FaxNumber; // string
  public $Feature; // string
  public $FilmColorType; // string
  public $FirstIssueLeadTime; // StringWithUnits
  public $FlavorName; // string
  public $FloppyDiskDriveDescription; // string
  public $Format; // string
  public $FormFactor; // string
  public $GemType; // string
  public $GemTypeSetElement; // string
  public $Gender; // string
  public $Genre; // string
  public $GLProductGroup; // string
  public $GolfClubFlex; // string
  public $GolfClubLoft; // string
  public $GraphicsCardInterface; // string
  public $GraphicsDescription; // string
  public $GraphicsMemorySize; // DecimalWithUnits
  public $GuitarAttribute; // string
  public $GuitarBridgeSystem; // string
  public $GuitarPickThickness; // string
  public $GuitarPickupConfiguration; // string
  public $HandOrientation; // string
  public $HardDiskCount; // nonNegativeInteger
  public $HardDiskSize; // DecimalWithUnits
  public $HardDiskInterface; // string
  public $HardwarePlatform; // string
  public $HasAutoFocus; // boolean
  public $HasBurstMode; // boolean
  public $HasInCameraEditing; // boolean
  public $HasRedEyeReduction; // boolean
  public $HasSelfTimer; // boolean
  public $HasTripodMount; // boolean
  public $HasVideoOut; // boolean
  public $HasViewfinder; // boolean
  public $HazardousMaterialType; // string
  public $HoursOfOperation; // string
  public $IncludedSoftware; // string
  public $IncludesMp3Player; // boolean
  public $Ingredients; // string
  public $IngredientsSetElement; // string
  public $InstrumentKey; // string
  public $Interest; // string
  public $IsAdultProduct; // boolean
  public $IsAutographed; // boolean
  public $ISBN; // string
  public $IsFragile; // boolean
  public $IsLabCreated; // boolean
  public $IsMemorabilia; // boolean
  public $ISOEquivalent; // NonNegativeIntegerWithUnits
  public $IsPreannounce; // boolean
  public $IssuesPerYear; // string
  public $ItemDimensions; // ItemDimensions
  public $KeyboardDescription; // string
  public $Label; // string
  public $LanguageName; // string
  public $Languages; // Languages
  public $LegalDisclaimer; // string
  public $LensType; // string
  public $LineVoltage; // string
  public $ListPrice; // Price
  public $LongSynopsis; // string
  public $MacroFocusRange; // string
  public $MagazineType; // string
  public $MalletHardness; // string
  public $Manufacturer; // string
  public $ManufacturerLaborWarrantyDescription; // string
  public $ManufacturerMaximumAge; // DecimalWithUnits
  public $ManufacturerMinimumAge; // DecimalWithUnits
  public $ManufacturerPartsWarrantyDescription; // string
  public $MaterialType; // string
  public $MaterialTypeSetElement; // string
  public $MaximumAperture; // DecimalWithUnits
  public $MaximumColorDepth; // string
  public $MaximumFocalLength; // DecimalWithUnits
  public $MaximumHighResolutionImages; // NonNegativeIntegerWithUnits
  public $MaximumHorizontalResolution; // NonNegativeIntegerWithUnits
  public $MaximumLowResolutionImages; // string
  public $MaximumResolution; // DecimalWithUnits
  public $MaximumShutterSpeed; // DecimalWithUnits
  public $MaximumVerticalResolution; // NonNegativeIntegerWithUnits
  public $MaximumWeightRecommendation; // DecimalWithUnits
  public $MediaType; // string
  public $MemorySlotsAvailable; // string
  public $MetalStamp; // string
  public $MetalType; // string
  public $MiniMovieDescription; // string
  public $MinimumFocalLength; // DecimalWithUnits
  public $MinimumShutterSpeed; // DecimalWithUnits
  public $Model; // string
  public $ModelYear; // nonNegativeInteger
  public $ModemDescription; // string
  public $MonitorSize; // DecimalWithUnits
  public $MonitorViewableDiagonalSize; // DecimalWithUnits
  public $MouseDescription; // string
  public $MPN; // string
  public $MusicalStyle; // string
  public $NativeResolution; // string
  public $Neighborhood; // string
  public $NetworkInterfaceDescription; // string
  public $NotebookDisplayTechnology; // string
  public $NotebookPointingDeviceDescription; // string
  public $NumberOfDiscs; // nonNegativeInteger
  public $NumberOfIssues; // nonNegativeInteger
  public $NumberOfItems; // nonNegativeInteger
  public $NumberOfKeys; // nonNegativeInteger
  public $NumberOfPages; // nonNegativeInteger
  public $NumberOfPearls; // nonNegativeInteger
  public $NumberOfRapidFireShots; // nonNegativeInteger
  public $NumberOfStones; // nonNegativeInteger
  public $NumberOfStrings; // nonNegativeInteger
  public $NumberOfTracks; // nonNegativeInteger
  public $OperatingSystem; // string
  public $OpticalSensorResolution; // DecimalWithUnits
  public $OpticalZoom; // DecimalWithUnits
  public $OriginalReleaseDate; // string
  public $OriginalAirDate; // string
  public $OutputWattage; // nonNegativeInteger
  public $PackageDimensions; // PackageDimensions
  public $PackageQuantity; // nonNegativeInteger
  public $PantLength; // string
  public $PantSize; // string
  public $PearlLustre; // string
  public $PearlMinimumColor; // string
  public $PearlShape; // string
  public $PearlStringingMethod; // string
  public $PearlSurfaceBlemishes; // string
  public $PearlType; // string
  public $PearlUniformity; // string
  public $PhoneNumber; // string
  public $PhotoFlashType; // string
  public $PictureFormat; // string
  public $Platform; // string
  public $PriceRating; // nonNegativeInteger
  public $PrimaryColor; // string
  public $ProcessorCount; // nonNegativeInteger
  public $ProductGroup; // string
  public $ProductSiteLaunchDate; // string
  public $ProductTypeName; // string
  public $ProductTypeSubcategory; // string
  public $PromotionalTag; // string
  public $PublicationDate; // string
  public $Publisher; // string
  public $POBoxShippingExcluded; // string
  public $ReadingLevel; // string
  public $ReturnMethod; // string
  public $RecorderTrackCount; // nonNegativeInteger
  public $RegionCode; // string
  public $RegionOfOrigin; // string
  public $ReturnPolicy; // string
  public $ReleaseDate; // string
  public $RemovableMemory; // string
  public $RemovableStorage; // string
  public $RequiredVoltageRange; // string
  public $ResolutionModes; // string
  public $RingSize; // string
  public $RunningTime; // DecimalWithUnits
  public $ScentName; // string
  public $SeasonSequence; // string
  public $SecondaryCacheSize; // NonNegativeIntegerWithUnits
  public $SettingType; // string
  public $ShaftMaterialType; // string
  public $ShoeSize; // string
  public $ShortSynopsis; // string
  public $Size; // string
  public $SizePerPearl; // string
  public $SkillLevel; // string
  public $SKU; // string
  public $SoldInStores; // string
  public $SoundCardDescription; // string
  public $SpeakerCount; // nonNegativeInteger
  public $SpeakerDescription; // string
  public $SpecialFeatures; // string
  public $StartYear; // string
  public $StoneClarity; // string
  public $StoneColor; // string
  public $StoneCut; // string
  public $StoneShape; // string
  public $StoneWeight; // DecimalWithUnits
  public $Studio; // string
  public $Style; // string
  public $SubscriptionLength; // NonNegativeIntegerWithUnits
  public $SupportedImageType; // string
  public $SupportedMediaSize; // string
  public $SystemBusSpeed; // DecimalWithUnits
  public $SystemMemorySizeMax; // DecimalWithUnits
  public $SystemMemorySize; // DecimalWithUnits
  public $SystemMemoryType; // string
  public $TargetBrand; // string
  public $TellingPageIndicator; // string
  public $TheatricalReleaseDate; // string
  public $Title; // string
  public $TotalDiamondWeight; // DecimalWithUnits
  public $TotalExternalBaysFree; // nonNegativeInteger
  public $TotalFirewirePorts; // nonNegativeInteger
  public $TotalGemWeight; // DecimalWithUnits
  public $TotalInternalBaysFree; // nonNegativeInteger
  public $TotalMetalWeight; // DecimalWithUnits
  public $TotalNTSCPALPorts; // nonNegativeInteger
  public $TotalParallelPorts; // nonNegativeInteger
  public $TotalPCCardSlots; // nonNegativeInteger
  public $TotalPCISlotsFree; // nonNegativeInteger
  public $TotalSerialPorts; // nonNegativeInteger
  public $TotalSVideoOutPorts; // nonNegativeInteger
  public $TotalUSB2Ports; // nonNegativeInteger
  public $TotalUSBPorts; // nonNegativeInteger
  public $TotalVGAOutPorts; // nonNegativeInteger
  public $TrackSequence; // string
  public $UPC; // string
  public $VariationDenomination; // string
  public $VariationDescription; // string
  public $Warranty; // string
  public $WatchMovementType; // string
  public $WaterResistanceDepth; // DecimalWithUnits
  public $WEEETaxValue; // Price
  public $WirelessMicrophoneFrequency; // nonNegativeInteger
}

class Creator {
  public $_; // string
  public $Role; // string
}

class ItemDimensions {
  public $Height; // DecimalWithUnits
  public $Length; // DecimalWithUnits
  public $Weight; // DecimalWithUnits
  public $Width; // DecimalWithUnits
}

class Languages {
  public $Language; // Language
}

class Language {
  public $Name; // string
  public $Type; // string
  public $AudioFormat; // string
}

class PackageDimensions {
  public $Height; // DecimalWithUnits
  public $Length; // DecimalWithUnits
  public $Weight; // DecimalWithUnits
  public $Width; // DecimalWithUnits
}

class MerchantItemAttributes {
  public $Actor; // string
  public $Address; // Address
  public $AmazonMaximumAge; // DecimalWithUnits
  public $AmazonMinimumAge; // DecimalWithUnits
  public $ApertureModes; // string
  public $Artist; // string
  public $AspectRatio; // string
  public $AssemblyInstructions; // string
  public $AssemblyRequired; // string
  public $AudienceRating; // string
  public $AudioFormat; // string
  public $Author; // string
  public $BackFinding; // string
  public $BandMaterialType; // string
  public $BatteriesIncluded; // string
  public $BatteriesRequired; // string
  public $Batteries; // NonNegativeIntegerWithUnits
  public $BatteryDescription; // string
  public $BatteryType; // string
  public $BezelMaterialType; // string
  public $Binding; // string
  public $Brand; // string
  public $CalendarType; // string
  public $CameraManualFeatures; // string
  public $CaseDiameter; // DecimalWithUnits
  public $CaseMaterialType; // string
  public $CaseThickness; // DecimalWithUnits
  public $CaseType; // string
  public $CatalogNumber; // string
  public $CDRWDescription; // string
  public $ChainType; // string
  public $ClaspType; // string
  public $ClothingSize; // string
  public $Color; // string
  public $Compatibility; // string
  public $ComputerHardwareType; // string
  public $ComputerPlatform; // string
  public $Connectivity; // string
  public $ContinuousShootingSpeed; // DecimalWithUnits
  public $Country; // string
  public $CountryOfOrigin; // string
  public $CPUManufacturer; // string
  public $CPUSpeed; // DecimalWithUnits
  public $CPUType; // string
  public $Creator; // Creator
  public $Cuisine; // string
  public $Customizable; // string
  public $DelayBetweenShots; // DecimalWithUnits
  public $DeliveryOption; // string
  public $Department; // string
  public $Description; // string
  public $DeweyDecimalNumber; // string
  public $DialColor; // string
  public $DialWindowMaterialType; // string
  public $DigitalZoom; // DecimalWithUnits
  public $Director; // string
  public $DisplaySize; // DecimalWithUnits
  public $DrumSetPieceQuantity; // nonNegativeInteger
  public $DVDLayers; // nonNegativeInteger
  public $DVDRWDescription; // string
  public $DVDSides; // nonNegativeInteger
  public $DPCI; // string
  public $EAN; // string
  public $Edition; // string
  public $ESRBAgeRating; // string
  public $ExternalDisplaySupportDescription; // string
  public $FabricType; // string
  public $FaxNumber; // string
  public $Feature; // string
  public $FirstIssueLeadTime; // StringWithUnits
  public $FloppyDiskDriveDescription; // string
  public $Format; // string
  public $FixedShippingCharge; // Price
  public $GemType; // string
  public $GraphicsCardInterface; // string
  public $GraphicsDescription; // string
  public $GraphicsMemorySize; // DecimalWithUnits
  public $GuitarAttribute; // string
  public $GuitarBridgeSystem; // string
  public $GuitarPickThickness; // string
  public $GuitarPickupConfiguration; // string
  public $HardDiskCount; // nonNegativeInteger
  public $HardDiskSize; // NonNegativeIntegerWithUnits
  public $HasAutoFocus; // boolean
  public $HasBurstMode; // boolean
  public $HasInCameraEditing; // boolean
  public $HasRedEyeReduction; // boolean
  public $HasSelfTimer; // boolean
  public $HasTripodMount; // boolean
  public $HasVideoOut; // boolean
  public $HasViewfinder; // boolean
  public $HazardousMaterialType; // string
  public $HoursOfOperation; // string
  public $IncludedSoftware; // string
  public $IncludesMp3Player; // boolean
  public $Indications; // string
  public $Ingredients; // string
  public $IngredientsSetElement; // string
  public $InstrumentKey; // string
  public $IsAutographed; // boolean
  public $ISBN; // string
  public $IsEmailNotifyAvailable; // boolean
  public $IsFragile; // boolean
  public $IsLabCreated; // boolean
  public $IsMemorabilia; // boolean
  public $ISOEquivalent; // NonNegativeIntegerWithUnits
  public $IssuesPerYear; // string
  public $ItemDimensions; // ItemDimensions
  public $KeyboardDescription; // string
  public $Label; // string
  public $Languages; // Languages
  public $LegalDisclaimer; // string
  public $LineVoltage; // string
  public $ListPrice; // Price
  public $MacroFocusRange; // string
  public $MagazineType; // string
  public $MalletHardness; // string
  public $Manufacturer; // string
  public $ManufacturerLaborWarrantyDescription; // string
  public $ManufacturerMaximumAge; // DecimalWithUnits
  public $ManufacturerMinimumAge; // DecimalWithUnits
  public $ManufacturerPartsWarrantyDescription; // string
  public $MaterialType; // string
  public $MaximumAperture; // DecimalWithUnits
  public $MaximumColorDepth; // string
  public $MaximumFocalLength; // DecimalWithUnits
  public $MaximumHighResolutionImages; // NonNegativeIntegerWithUnits
  public $MaximumHorizontalResolution; // NonNegativeIntegerWithUnits
  public $MaximumLowResolutionImages; // string
  public $MaximumResolution; // DecimalWithUnits
  public $MaximumShutterSpeed; // DecimalWithUnits
  public $MaximumVerticalResolution; // NonNegativeIntegerWithUnits
  public $MaximumWeightRecommendation; // DecimalWithUnits
  public $MemorySlotsAvailable; // nonNegativeInteger
  public $MetalStamp; // string
  public $MetalType; // string
  public $MiniMovieDescription; // string
  public $MinimumAdvertisedPrice; // Price
  public $MinimumFocalLength; // DecimalWithUnits
  public $MinimumShutterSpeed; // DecimalWithUnits
  public $Model; // string
  public $ModelYear; // nonNegativeInteger
  public $ModemDescription; // string
  public $MonitorSize; // DecimalWithUnits
  public $MonitorViewableDiagonalSize; // DecimalWithUnits
  public $MouseDescription; // string
  public $MPN; // string
  public $MusicalStyle; // string
  public $NativeResolution; // string
  public $Neighborhood; // string
  public $NetworkInterfaceDescription; // string
  public $NotebookDisplayTechnology; // string
  public $NotebookPointingDeviceDescription; // string
  public $NumberOfDiscs; // nonNegativeInteger
  public $NumberOfIssues; // nonNegativeInteger
  public $NumberOfItems; // nonNegativeInteger
  public $NumberOfKeys; // nonNegativeInteger
  public $NumberOfPages; // nonNegativeInteger
  public $NumberOfPearls; // nonNegativeInteger
  public $NumberOfRapidFireShots; // nonNegativeInteger
  public $NumberOfStones; // nonNegativeInteger
  public $NumberOfStrings; // nonNegativeInteger
  public $NumberOfTracks; // nonNegativeInteger
  public $OpticalZoom; // DecimalWithUnits
  public $OriginalReleaseDate; // string
  public $OutputWattage; // nonNegativeInteger
  public $PackageDimensions; // PackageDimensions
  public $PearlLustre; // string
  public $PearlMinimumColor; // string
  public $PearlShape; // string
  public $PearlStringingMethod; // string
  public $PearlSurfaceBlemishes; // string
  public $PearlType; // string
  public $PearlUniformity; // string
  public $PhoneNumber; // string
  public $PhotoFlashType; // string
  public $PictureFormat; // string
  public $Platform; // string
  public $PriceRating; // nonNegativeInteger
  public $ProcessorCount; // nonNegativeInteger
  public $ProductGroup; // string
  public $PromotionalTag; // string
  public $POBoxShippingExcluded; // string
  public $PublicationDate; // string
  public $Publisher; // string
  public $PurchasingChannel; // string
  public $ReadingLevel; // string
  public $RecorderTrackCount; // nonNegativeInteger
  public $RegionCode; // string
  public $RegionOfOrigin; // string
  public $ReleaseDate; // string
  public $ReturnMethod; // string
  public $RemovableMemory; // string
  public $ResolutionModes; // string
  public $ReturnPolicy; // string
  public $RingSize; // string
  public $SafetyWarning; // string
  public $SalesRestriction; // string
  public $SecondaryCacheSize; // NonNegativeIntegerWithUnits
  public $SettingType; // string
  public $Size; // string
  public $SKU; // string
  public $SoldInStores; // string
  public $SizePerPearl; // string
  public $SkillLevel; // string
  public $SoundCardDescription; // string
  public $SpeakerCount; // nonNegativeInteger
  public $SpeakerDescription; // string
  public $SpecialFeatures; // string
  public $StoneClarity; // string
  public $StoneColor; // string
  public $StoneCut; // string
  public $StoneShape; // string
  public $StoneWeight; // DecimalWithUnits
  public $Studio; // string
  public $SubscriptionLength; // NonNegativeIntegerWithUnits
  public $SupportedImageType; // string
  public $SystemBusSpeed; // DecimalWithUnits
  public $SystemMemorySizeMax; // DecimalWithUnits
  public $SystemMemorySize; // DecimalWithUnits
  public $SystemMemoryType; // string
  public $TellingPageIndicator; // string
  public $TheatricalReleaseDate; // string
  public $Title; // string
  public $TotalDiamondWeight; // DecimalWithUnits
  public $TotalExternalBaysFree; // nonNegativeInteger
  public $TotalFirewirePorts; // nonNegativeInteger
  public $TotalGemWeight; // DecimalWithUnits
  public $TotalInternalBaysFree; // nonNegativeInteger
  public $TotalMetalWeight; // DecimalWithUnits
  public $TotalNTSCPALPorts; // nonNegativeInteger
  public $TotalParallelPorts; // nonNegativeInteger
  public $TotalPCCardSlots; // nonNegativeInteger
  public $TotalPCISlotsFree; // nonNegativeInteger
  public $TotalSerialPorts; // nonNegativeInteger
  public $TotalSVideoOutPorts; // nonNegativeInteger
  public $TotalUSB2Ports; // nonNegativeInteger
  public $TotalUSBPorts; // nonNegativeInteger
  public $TotalVGAOutPorts; // nonNegativeInteger
  public $UPC; // string
  public $VariationDenomination; // string
  public $VariationDescription; // string
  public $VendorRebate; // VendorRebate
  public $Warranty; // string
  public $WatchMovementType; // string
  public $WebsiteBuyability; // string
  public $WaterResistanceDepth; // DecimalWithUnits
  public $WirelessMicrophoneFrequency; // nonNegativeInteger
}

class Creator {
  public $_; // string
  public $Role; // string
}

class ItemDimensions {
  public $Height; // DecimalWithUnits
  public $Length; // DecimalWithUnits
  public $Weight; // DecimalWithUnits
  public $Width; // DecimalWithUnits
}

class Languages {
  public $Language; // Language
}

class Language {
  public $Name; // string
  public $Type; // string
  public $AudioFormat; // string
}

class PackageDimensions {
  public $Height; // DecimalWithUnits
  public $Length; // DecimalWithUnits
  public $Weight; // DecimalWithUnits
  public $Width; // DecimalWithUnits
}

class VendorRebate {
  public $Type; // string
  public $StartDate; // string
  public $EndDate; // string
}

class NonNegativeIntegerWithUnits {
  public $_; // nonNegativeInteger
  public $Units; // string
}

class DecimalWithUnits {
  public $_; // decimal
  public $Units; // string
}

class StringWithUnits {
  public $_; // string
  public $Units; // string
}

class positiveIntegerOrAll {
  const All = 'All';
}

class anonymous282 {
}

class anonymous283 {
}


/**
 * AWSECommerceService class
 * 
 *  
 * 
 * @author    {author}
 * @copyright {copyright}
 * @package   {package}
 */
class AWSECommerceService extends SoapClient {

  private static $classmap = array(
                                    'Bin' => 'Bin',
                                    'BinParameter' => 'BinParameter',
                                    'SearchBinSet' => 'SearchBinSet',
                                    'SearchBinSets' => 'SearchBinSets',
                                    'Help' => 'Help',
                                    'HelpRequest' => 'HelpRequest',
                                    'HelpType' => 'HelpType',
                                    'ItemSearch' => 'ItemSearch',
                                    'ItemSearchRequest' => 'ItemSearchRequest',
                                    'Availability' => 'Availability',
                                    'ItemLookup' => 'ItemLookup',
                                    'ItemLookupRequest' => 'ItemLookupRequest',
                                    'IdType' => 'IdType',
                                    'ListSearch' => 'ListSearch',
                                    'ListSearchRequest' => 'ListSearchRequest',
                                    'ListType' => 'ListType',
                                    'ListLookup' => 'ListLookup',
                                    'ListLookupRequest' => 'ListLookupRequest',
                                    'ListType' => 'ListType',
                                    'CustomerContentSearch' => 'CustomerContentSearch',
                                    'CustomerContentSearchRequest' => 'CustomerContentSearchRequest',
                                    'CustomerContentLookup' => 'CustomerContentLookup',
                                    'CustomerContentLookupRequest' => 'CustomerContentLookupRequest',
                                    'SimilarityLookup' => 'SimilarityLookup',
                                    'SimilarityLookupRequest' => 'SimilarityLookupRequest',
                                    'SimilarityType' => 'SimilarityType',
                                    'SellerLookup' => 'SellerLookup',
                                    'SellerLookupRequest' => 'SellerLookupRequest',
                                    'CartGet' => 'CartGet',
                                    'CartGetRequest' => 'CartGetRequest',
                                    'CartAdd' => 'CartAdd',
                                    'CartAddRequest' => 'CartAddRequest',
                                    'Items' => 'Items',
                                    'Item' => 'Item',
                                    'MetaData' => 'MetaData',
                                    'CartCreate' => 'CartCreate',
                                    'CartCreateRequest' => 'CartCreateRequest',
                                    'Items' => 'Items',
                                    'Item' => 'Item',
                                    'MetaData' => 'MetaData',
                                    'CartModify' => 'CartModify',
                                    'CartModifyRequest' => 'CartModifyRequest',
                                    'Items' => 'Items',
                                    'Item' => 'Item',
                                    'Action' => 'Action',
                                    'CartClear' => 'CartClear',
                                    'CartClearRequest' => 'CartClearRequest',
                                    'TransactionLookup' => 'TransactionLookup',
                                    'TransactionLookupRequest' => 'TransactionLookupRequest',
                                    'SellerListingSearch' => 'SellerListingSearch',
                                    'SellerListingSearchRequest' => 'SellerListingSearchRequest',
                                    'OfferStatus' => 'OfferStatus',
                                    'SellerListingLookup' => 'SellerListingLookup',
                                    'TagLookup' => 'TagLookup',
                                    'SellerListingLookupRequest' => 'SellerListingLookupRequest',
                                    'IdType' => 'IdType',
                                    'TagLookupRequest' => 'TagLookupRequest',
                                    'BrowseNodeLookup' => 'BrowseNodeLookup',
                                    'BrowseNodeLookupRequest' => 'BrowseNodeLookupRequest',
                                    'VehicleSearch' => 'VehicleSearch',
                                    'VehicleSearchRequest' => 'VehicleSearchRequest',
                                    'VehiclePartSearch' => 'VehiclePartSearch',
                                    'VehiclePartSearchRequest' => 'VehiclePartSearchRequest',
                                    'VehiclePartLookup' => 'VehiclePartLookup',
                                    'VehiclePartLookupRequest' => 'VehiclePartLookupRequest',
                                    'Condition' => 'Condition',
                                    'DeliveryMethod' => 'DeliveryMethod',
                                    'AudienceRating' => 'AudienceRating',
                                    'MultiOperation' => 'MultiOperation',
                                    'HelpResponse' => 'HelpResponse',
                                    'ItemSearchResponse' => 'ItemSearchResponse',
                                    'ItemLookupResponse' => 'ItemLookupResponse',
                                    'ListSearchResponse' => 'ListSearchResponse',
                                    'ListLookupResponse' => 'ListLookupResponse',
                                    'CustomerContentSearchResponse' => 'CustomerContentSearchResponse',
                                    'CustomerContentLookupResponse' => 'CustomerContentLookupResponse',
                                    'SimilarityLookupResponse' => 'SimilarityLookupResponse',
                                    'SellerLookupResponse' => 'SellerLookupResponse',
                                    'CartGetResponse' => 'CartGetResponse',
                                    'CartAddResponse' => 'CartAddResponse',
                                    'CartCreateResponse' => 'CartCreateResponse',
                                    'CartModifyResponse' => 'CartModifyResponse',
                                    'CartClearResponse' => 'CartClearResponse',
                                    'TransactionLookupResponse' => 'TransactionLookupResponse',
                                    'SellerListingSearchResponse' => 'SellerListingSearchResponse',
                                    'SellerListingLookupResponse' => 'SellerListingLookupResponse',
                                    'TagLookupResponse' => 'TagLookupResponse',
                                    'BrowseNodeLookupResponse' => 'BrowseNodeLookupResponse',
                                    'VehicleSearchResponse' => 'VehicleSearchResponse',
                                    'VehiclePartSearchResponse' => 'VehiclePartSearchResponse',
                                    'VehiclePartLookupResponse' => 'VehiclePartLookupResponse',
                                    'MultiOperationResponse' => 'MultiOperationResponse',
                                    'OperationRequest' => 'OperationRequest',
                                    'Request' => 'Request',
                                    'Arguments' => 'Arguments',
                                    'Argument' => 'Argument',
                                    'HTTPHeaders' => 'HTTPHeaders',
                                    'Header' => 'Header',
                                    'Errors' => 'Errors',
                                    'Error' => 'Error',
                                    'Information' => 'Information',
                                    'Items' => 'Items',
                                    'CorrectedQuery' => 'CorrectedQuery',
                                    'Lists' => 'Lists',
                                    'Customers' => 'Customers',
                                    'Cart' => 'Cart',
                                    'Transactions' => 'Transactions',
                                    'Sellers' => 'Sellers',
                                    'SellerListings' => 'SellerListings',
                                    'OperationInformation' => 'OperationInformation',
                                    'RequiredParameters' => 'RequiredParameters',
                                    'AvailableParameters' => 'AvailableParameters',
                                    'DefaultResponseGroups' => 'DefaultResponseGroups',
                                    'AvailableResponseGroups' => 'AvailableResponseGroups',
                                    'ResponseGroupInformation' => 'ResponseGroupInformation',
                                    'ValidOperations' => 'ValidOperations',
                                    'Elements' => 'Elements',
                                    'List' => 'List',
                                    'ListType' => 'ListType',
                                    'ListItem' => 'ListItem',
                                    'Customer' => 'Customer',
                                    'Location' => 'Location',
                                    'SearchResultsMap' => 'SearchResultsMap',
                                    'SearchIndex' => 'SearchIndex',
                                    'Item' => 'Item',
                                    'ImageSets' => 'ImageSets',
                                    'Subjects' => 'Subjects',
                                    'AlternateVersions' => 'AlternateVersions',
                                    'AlternateVersion' => 'AlternateVersion',
                                    'ItemLinks' => 'ItemLinks',
                                    'ItemLink' => 'ItemLink',
                                    'RelatedItems' => 'RelatedItems',
                                    'Relationship' => 'Relationship',
                                    'RelatedItem' => 'RelatedItem',
                                    'Tags' => 'Tags',
                                    'Tag' => 'Tag',
                                    'TagType' => 'TagType',
                                    'TaggedItems' => 'TaggedItems',
                                    'TaggedListmaniaLists' => 'TaggedListmaniaLists',
                                    'TaggedGuides' => 'TaggedGuides',
                                    'Guide' => 'Guide',
                                    'Tagging' => 'Tagging',
                                    'OfferSummary' => 'OfferSummary',
                                    'Offers' => 'Offers',
                                    'Offer' => 'Offer',
                                    'OfferAttributes' => 'OfferAttributes',
                                    'Merchant' => 'Merchant',
                                    'OfferListing' => 'OfferListing',
                                    'AvailabilityAttributes' => 'AvailabilityAttributes',
                                    'ShippingCharge' => 'ShippingCharge',
                                    'LoyaltyPoints' => 'LoyaltyPoints',
                                    'VariationSummary' => 'VariationSummary',
                                    'Variations' => 'Variations',
                                    'VariationDimensions' => 'VariationDimensions',
                                    'EditorialReviews' => 'EditorialReviews',
                                    'Collections' => 'Collections',
                                    'Collection' => 'Collection',
                                    'CollectionSummary' => 'CollectionSummary',
                                    'CollectionParent' => 'CollectionParent',
                                    'CollectionItem' => 'CollectionItem',
                                    'EditorialReview' => 'EditorialReview',
                                    'CustomerReviews' => 'CustomerReviews',
                                    'Review' => 'Review',
                                    'Reviewer' => 'Reviewer',
                                    'Tracks' => 'Tracks',
                                    'Disc' => 'Disc',
                                    'Track' => 'Track',
                                    'SimilarProducts' => 'SimilarProducts',
                                    'SimilarProduct' => 'SimilarProduct',
                                    'TopSellers' => 'TopSellers',
                                    'TopSeller' => 'TopSeller',
                                    'NewReleases' => 'NewReleases',
                                    'NewRelease' => 'NewRelease',
                                    'TopItemSet' => 'TopItemSet',
                                    'TopItem' => 'TopItem',
                                    'SimilarViewedProducts' => 'SimilarViewedProducts',
                                    'SimilarViewedProduct' => 'SimilarViewedProduct',
                                    'OtherCategoriesSimilarProducts' => 'OtherCategoriesSimilarProducts',
                                    'OtherCategoriesSimilarProduct' => 'OtherCategoriesSimilarProduct',
                                    'Accessories' => 'Accessories',
                                    'Accessory' => 'Accessory',
                                    'Promotions' => 'Promotions',
                                    'Promotion' => 'Promotion',
                                    'Summary' => 'Summary',
                                    'Details' => 'Details',
                                    'PromotionEligibilityRequirements' => 'PromotionEligibilityRequirements',
                                    'PromotionBenefits' => 'PromotionBenefits',
                                    'PromotionBenefit' => 'PromotionBenefit',
                                    'PromotionEligibilityRequirement' => 'PromotionEligibilityRequirement',
                                    'PromotionItemApplicability' => 'PromotionItemApplicability',
                                    'VehicleYears' => 'VehicleYears',
                                    'VehicleYear' => 'VehicleYear',
                                    'VehicleMakes' => 'VehicleMakes',
                                    'VehicleMake' => 'VehicleMake',
                                    'VehicleModels' => 'VehicleModels',
                                    'VehicleModel' => 'VehicleModel',
                                    'VehicleTrims' => 'VehicleTrims',
                                    'VehicleTrim' => 'VehicleTrim',
                                    'VehicleOptions' => 'VehicleOptions',
                                    'VehicleBedOptions' => 'VehicleBedOptions',
                                    'VehicleBed' => 'VehicleBed',
                                    'VehicleBodyStyleOptions' => 'VehicleBodyStyleOptions',
                                    'VehicleBodyStyle' => 'VehicleBodyStyle',
                                    'VehicleBrakesOptions' => 'VehicleBrakesOptions',
                                    'VehicleBrakes' => 'VehicleBrakes',
                                    'VehicleDriveTypeOptions' => 'VehicleDriveTypeOptions',
                                    'VehicleDriveType' => 'VehicleDriveType',
                                    'VehicleEngineOptions' => 'VehicleEngineOptions',
                                    'VehicleEngine' => 'VehicleEngine',
                                    'VehicleMfrBodyCodeOptions' => 'VehicleMfrBodyCodeOptions',
                                    'VehicleMfrBodyCode' => 'VehicleMfrBodyCode',
                                    'VehicleSpringTypesOptions' => 'VehicleSpringTypesOptions',
                                    'VehicleSpringTypes' => 'VehicleSpringTypes',
                                    'VehicleSteeringOptions' => 'VehicleSteeringOptions',
                                    'VehicleSteering' => 'VehicleSteering',
                                    'VehicleTransmissionOptions' => 'VehicleTransmissionOptions',
                                    'VehicleTransmission' => 'VehicleTransmission',
                                    'VehicleWheelbaseOptions' => 'VehicleWheelbaseOptions',
                                    'VehicleWheelbase' => 'VehicleWheelbase',
                                    'VehicleParts' => 'VehicleParts',
                                    'MissingVehicleAttributes' => 'MissingVehicleAttributes',
                                    'PartBrowseNodeBins' => 'PartBrowseNodeBins',
                                    'PartBrandBins' => 'PartBrandBins',
                                    'Part' => 'Part',
                                    'VehiclePartFit' => 'VehiclePartFit',
                                    'Fitments' => 'Fitments',
                                    'FitmentAttributes' => 'FitmentAttributes',
                                    'Fitment' => 'Fitment',
                                    'BrowseNodes' => 'BrowseNodes',
                                    'Property' => 'Property',
                                    'BrowseNode' => 'BrowseNode',
                                    'Properties' => 'Properties',
                                    'Children' => 'Children',
                                    'Ancestors' => 'Ancestors',
                                    'ListmaniaLists' => 'ListmaniaLists',
                                    'ListmaniaList' => 'ListmaniaList',
                                    'SearchInside' => 'SearchInside',
                                    'Excerpt' => 'Excerpt',
                                    'CartItems' => 'CartItems',
                                    'SavedForLaterItems' => 'SavedForLaterItems',
                                    'CartItem' => 'CartItem',
                                    'MetaData' => 'MetaData',
                                    'KeyValuePair' => 'KeyValuePair',
                                    'Transaction' => 'Transaction',
                                    'Totals' => 'Totals',
                                    'TransactionItems' => 'TransactionItems',
                                    'Shipments' => 'Shipments',
                                    'Shipment' => 'Shipment',
                                    'ShipmentItems' => 'ShipmentItems',
                                    'Packages' => 'Packages',
                                    'Package' => 'Package',
                                    'TransactionItem' => 'TransactionItem',
                                    'ChildTransactionItems' => 'ChildTransactionItems',
                                    'Seller' => 'Seller',
                                    'Location' => 'Location',
                                    'SellerFeedbackSummary' => 'SellerFeedbackSummary',
                                    'FeedbackDateRange' => 'FeedbackDateRange',
                                    'SellerFeedbackRating' => 'SellerFeedbackRating',
                                    'SellerFeedback' => 'SellerFeedback',
                                    'Feedback' => 'Feedback',
                                    'Address' => 'Address',
                                    'SellerListing' => 'SellerListing',
                                    'Price' => 'Price',
                                    'ImageSet' => 'ImageSet',
                                    'Image' => 'Image',
                                    'ItemAttributes' => 'ItemAttributes',
                                    'Creator' => 'Creator',
                                    'ItemDimensions' => 'ItemDimensions',
                                    'Languages' => 'Languages',
                                    'Language' => 'Language',
                                    'PackageDimensions' => 'PackageDimensions',
                                    'MerchantItemAttributes' => 'MerchantItemAttributes',
                                    'Creator' => 'Creator',
                                    'ItemDimensions' => 'ItemDimensions',
                                    'Languages' => 'Languages',
                                    'Language' => 'Language',
                                    'PackageDimensions' => 'PackageDimensions',
                                    'VendorRebate' => 'VendorRebate',
                                    'NonNegativeIntegerWithUnits' => 'NonNegativeIntegerWithUnits',
                                    'DecimalWithUnits' => 'DecimalWithUnits',
                                    'StringWithUnits' => 'StringWithUnits',
                                    'positiveIntegerOrAll' => 'positiveIntegerOrAll',
                                    'anonymous282' => 'anonymous282',
                                    'anonymous283' => 'anonymous283',
                                   );

  public function AWSECommerceService($wsdl = "http://webservices.amazon.com/AWSECommerceService/AWSECommerceService.wsdl", $options = array()) {
    foreach(self::$classmap as $key => $value) {
      if(!isset($options['classmap'][$key])) {
        $options['classmap'][$key] = $value;
      }
    }
    parent::__construct($wsdl, $options);
  }

  /**
   *  
   *
   * @param Help $body
   * @return HelpResponse
   */
  public function Help(Help $body) {
    return $this->__soapCall('Help', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param ItemSearch $body
   * @return ItemSearchResponse
   */
  public function ItemSearch(ItemSearch $body) {
    return $this->__soapCall('ItemSearch', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param ItemLookup $body
   * @return ItemLookupResponse
   */
  public function ItemLookup(ItemLookup $body) {
    return $this->__soapCall('ItemLookup', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param BrowseNodeLookup $body
   * @return BrowseNodeLookupResponse
   */
  public function BrowseNodeLookup(BrowseNodeLookup $body) {
    return $this->__soapCall('BrowseNodeLookup', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param ListSearch $body
   * @return ListSearchResponse
   */
  public function ListSearch(ListSearch $body) {
    return $this->__soapCall('ListSearch', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param ListLookup $body
   * @return ListLookupResponse
   */
  public function ListLookup(ListLookup $body) {
    return $this->__soapCall('ListLookup', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param CustomerContentSearch $body
   * @return CustomerContentSearchResponse
   */
  public function CustomerContentSearch(CustomerContentSearch $body) {
    return $this->__soapCall('CustomerContentSearch', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param CustomerContentLookup $body
   * @return CustomerContentLookupResponse
   */
  public function CustomerContentLookup(CustomerContentLookup $body) {
    return $this->__soapCall('CustomerContentLookup', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param SimilarityLookup $body
   * @return SimilarityLookupResponse
   */
  public function SimilarityLookup(SimilarityLookup $body) {
    return $this->__soapCall('SimilarityLookup', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param SellerLookup $body
   * @return SellerLookupResponse
   */
  public function SellerLookup(SellerLookup $body) {
    return $this->__soapCall('SellerLookup', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param CartGet $body
   * @return CartGetResponse
   */
  public function CartGet(CartGet $body) {
    return $this->__soapCall('CartGet', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param CartCreate $body
   * @return CartCreateResponse
   */
  public function CartCreate(CartCreate $body) {
    return $this->__soapCall('CartCreate', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param CartAdd $body
   * @return CartAddResponse
   */
  public function CartAdd(CartAdd $body) {
    return $this->__soapCall('CartAdd', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param CartModify $body
   * @return CartModifyResponse
   */
  public function CartModify(CartModify $body) {
    return $this->__soapCall('CartModify', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param CartClear $body
   * @return CartClearResponse
   */
  public function CartClear(CartClear $body) {
    return $this->__soapCall('CartClear', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param TransactionLookup $body
   * @return TransactionLookupResponse
   */
  public function TransactionLookup(TransactionLookup $body) {
    return $this->__soapCall('TransactionLookup', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param SellerListingSearch $body
   * @return SellerListingSearchResponse
   */
  public function SellerListingSearch(SellerListingSearch $body) {
    return $this->__soapCall('SellerListingSearch', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param SellerListingLookup $body
   * @return SellerListingLookupResponse
   */
  public function SellerListingLookup(SellerListingLookup $body) {
    return $this->__soapCall('SellerListingLookup', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param TagLookup $body
   * @return TagLookupResponse
   */
  public function TagLookup(TagLookup $body) {
    return $this->__soapCall('TagLookup', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param VehicleSearch $body
   * @return VehicleSearchResponse
   */
  public function VehicleSearch(VehicleSearch $body) {
    return $this->__soapCall('VehicleSearch', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param VehiclePartSearch $body
   * @return VehiclePartSearchResponse
   */
  public function VehiclePartSearch(VehiclePartSearch $body) {
    return $this->__soapCall('VehiclePartSearch', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param VehiclePartLookup $body
   * @return VehiclePartLookupResponse
   */
  public function VehiclePartLookup(VehiclePartLookup $body) {
    return $this->__soapCall('VehiclePartLookup', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

  /**
   *  
   *
   * @param MultiOperation $body
   * @return MultiOperationResponse
   */
  public function MultiOperation(MultiOperation $body) {
    return $this->__soapCall('MultiOperation', array($body),       array(
            'uri' => 'http://webservices.amazon.com/AWSECommerceService/2008-10-06',
            'soapaction' => ''
           )
      );
  }

}

?>
