<?php 
Header("Content-type: application/atom+xml"); 

// vytvoříme prázdný dokument
$doc = new DOMDocument("1.0", "utf-8");

// jmenný prostor Atom pro snadné opakování
$atomNS = "http://www.w3.org/2005/Atom";

// vytvoříme kořenový element
$feedElement = $doc->createElementNS($atomNS, "feed");

// připojíme element do dokumentu
$doc->appendChild($feedElement);

// vytvoříme element title a připojíme do dokumentu
$titleElement = $doc->createElementNS($atomNS, "title", "Aktuální články");
$feedElement->appendChild($titleElement);

// vytvoříme element link a připojíme do dokumentu
$linkElement = $doc->createElementNS($atomNS, "link");
$linkElement->setAttribute("href", "http://example.org/news");
$linkElement->setAttribute("rel", "self");
$feedElement->appendChild($linkElement);

// vytvoříme element updated a připojíme do dokumentu
$updatedElement = $doc->createElementNS($atomNS, "updated", Date("c"));
$feedElement->appendChild($updatedElement);

// vytvoříme element id a připojíme do dokumentu
$idElement = $doc->createElementNS($atomNS, "id", "http://example.org/news");
$feedElement->appendChild($updatedElement);

// načteme seznam článků
include "clanky.php";

// projdeme všechny články
foreach ($clanky as $clanek)
{
  // pro každý článek vytvoříme element entry
  $entryElement = $doc->createElementNS($atomNS, "entry");

  // k elementu entry přidáme element title
  $titleElement = $doc->createElementNS($atomNS, "title");
  $textNode = $doc->createTextNode($clanek["nazev"]);
  $titleElement->appendChild($textNode);
  $entryElement->appendChild($titleElement);

  // k elementu entry přidáme element id
  $idElement = $doc->createElementNS($atomNS, "id");
  $textNode = $doc->createTextNode($clanek["url"]);
  $idElement->appendChild($textNode);
  $entryElement->appendChild($idElement);

  // k elementu entry přidáme element link
  $linkElement = $doc->createElementNS($atomNS, "link");
  $linkElement->setAttribute("href", $clanek["url"]);
  $linkElement->setAttribute("rel", "alternate");
  $linkElement->setAttribute("type", "text/html");
  $entryElement->appendChild($linkElement);

  // naplněný element entry přidáme do dokumentu
  $feedElement->appendChild($entryElement);
}

// při serializaci se XML bude odsazovat
$doc->formatOutput = true;

// vytvořené XML pošleme do prohlížeče
echo $doc->saveXML();
?>